
// Arg[0].x is the x offset in output pixels
// Arg[0].y is the y offset in output pixels
// Arg[0].z is the x offset in UV coordinates
// Arg[0].w is the y offset in UV coordinates

float4 PS( VS_to_PS input) : SV_Target {
	return tex_0.Sample( samLinear, ((PixelPos - Arg[0].xy) / Dimensions) - Arg[0].zw );
}
